/*
 *  Eukleides version 1.5.4
 *  Copyright (c) Christian Obrecht 2004-2010
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

void not(_param p);

void and(_param p);

void or(_param p);

void ternary(_param p);

void num_eq(_param p);

void num_neq(_param p);

void num_lt(_param p);

void num_leq(_param p);

void num_gt(_param p);

void num_geq(_param p);

void pnt_eq(_param p);

void pnt_neq(_param p);

void collinear_points(_param p);

void vec_eq(_param p);

void vec_neq(_param p);

void collinear_vectors(_param p);

void set_eq(_param p);

void set_neq(_param p);

void is_empty(_param p);

void on_path(_param p);

void in_set(_param p);

void lin_eq(_param p);

void lin_neq(_param p);

void on_line(_param p);

void parallel_lines(_param p);

void perpendicular_lines(_param p);

void cir_eq(_param p);

void cir_neq(_param p);

void on_circle(_param p);

void con_eq(_param p);

void con_neq(_param p);

void on_conic(_param p);

void is_ellipse(_param p);

void is_hyperbola(_param p);

void is_parabola(_param p);

void is_isosceles(_param p);

void is_equilateral(_param p);

void is_right(_param p);

void is_parallelogram(_param p);

void is_rectangle(_param p);

void is_square(_param p);

void eps_output(_param p);

void pstricks_output(_param p);

void display_output(_param p);

void for_test(_param p);
